Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Sean Whitton <[email-masked]>
Date: Wed, 23 Apr 2025 10:10:45 +0800

Hello,

On Tue 22 Apr 2025 at 01:36pm -06, Elijah Gabe Pérez wrote:

> But those do not expand immediately AFAIK; like if you type "{"

I think that's specifically how abbrev and abbrev-based skeletons don't
trigger if you only type characters that aren't word constituents.
Good point -- that probably renders them unsuitable for this.

ISTM that a combination of the suggestions from Juri and Stefan would
work well.  It would be great if you could expand the functionality of
electric-pair-mode to handle these cases.

-- 
Sean Whitton